Skip to main content
GET
cURL

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
author,
categories,
organisation,
latest_schema,
schemas,
workflow
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • organisation_in: Filter by organisation ID(s)
  • id_in: Filter by ID(s)
  • category_in: Filter forms by category ID(s)
  • uncategorised: Filter for uncategorised forms

For more information on using named filters, see the docs

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of forms.

JSON API response object

data
A list of forms · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a form is returned

A form category